      !***********************************************************************!
      SUBROUTINE  saxpy(  a,  scala, b,  scalb  )
      !***********************************************************************!
!
      USE numerics
!
      IMPLICIT  NONE
!
      INCLUDE 'comthd.h'
!
!--Declaration des arguments
!
!Vecteur resultat
      REAL(rp),  DIMENSION(sx-1:ex+1,sy-1:ey+1,sz-1:ez+1),  INTENT(INOUT)  ::  a
!
!Vecteurs
      REAL(rp),  DIMENSION(sx-1:ex+1,sy-1:ey+1,sz-1:ez+1),  INTENT(IN)     ::  b
!
!Scalaires
      REAL(rp),  INTENT(IN)  ::  scala
      REAL(rp),  INTENT(IN)  ::  scalb
!
!--Declaration des variales locales
!
!Compteurs
      INTEGER   ::  i,  j,  k
!
!
      !***********************************************************************!
!
      DO  k  =  kmin,  kmax
         DO  j  =  sy,  ey
            DO  i  =  sx,  ex
               a(i,j,k) = scala * a(i,j,k) + scalb * b(i,j,k)
            END  DO
         END  DO
      END  DO
!
      RETURN
      END SUBROUTINE saxpy
